com.ibm.openpages.api.respview

## Enum RespViewFieldType

- java.lang.Object
- - java.lang.Enum<RespViewFieldType>
  - - com.ibm.openpages.api.respview.RespViewFieldType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RespViewFieldType>

      public enum RespViewFieldType
      extends java.lang.Enum<RespViewFieldType>

  Represents the type of responsive view field

  Since:
    7.4.0.1

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ancestors` Represents field that shows ancestors
    `children` Represents field that shows children
    `descendants` Represents field that shows descendants
    `fileUploader` Represents file uploader field
    `group` Represents the grouped fields
    `help` Represents the help fields
    `object` Represents object field
    `other` Represents field that doesn't have a specific relationship (may have a filter, i.e.
    `parents` Represents field that shows parents
    `referencedContent` Represents a referenced content field (makes an separate API call on load to fetch the field value)
    `siblings` Represents field that shows siblings where sibling will be another child of the object's parents
    `tabGroup` Represents tabbed group
    `versions` Represents field that shows versions of SOXDocument

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasChildFields()`
    `boolean` | `isRelationship()` Returns if the field type is relationship field or not.
    `static RespViewFieldType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RespViewFieldType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### object

          public static final RespViewFieldType object

      Represents object field

    - #### group

          public static final RespViewFieldType group

      Represents the grouped fields

    - #### tabGroup

          public static final RespViewFieldType tabGroup

      Represents tabbed group

    - #### help

          public static final RespViewFieldType help

      Represents the help fields

    - #### children

          public static final RespViewFieldType children

      Represents field that shows children

    - #### parents

          public static final RespViewFieldType parents

      Represents field that shows parents

    - #### ancestors

          public static final RespViewFieldType ancestors

      Represents field that shows ancestors

    - #### descendants

          public static final RespViewFieldType descendants

      Represents field that shows descendants

    - #### siblings

          public static final RespViewFieldType siblings

      Represents field that shows siblings where sibling will be another child of the object's parents

    - #### other

          public static final RespViewFieldType other

      Represents field that doesn't have a specific relationship (may have a filter, i.e. My Issues)

    - #### versions

          public static final RespViewFieldType versions

      Represents field that shows versions of SOXDocument

    - #### fileUploader

          public static final RespViewFieldType fileUploader

      Represents file uploader field

    - #### referencedContent

          public static final RespViewFieldType referencedContent

      Represents a referenced content field (makes an separate API call on load to fetch the field value)

  - ### Method Detail

    - #### values

          public static RespViewFieldType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RespViewFieldType c : RespViewFieldType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RespViewFieldType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isRelationship

          public boolean isRelationship()

      Returns if the field type is relationship field or not.
      Returns:
        true if the field type is relationship.

    - #### hasChildFields

          public boolean hasChildFields()

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.